2 Replies Latest reply on Nov 1, 2014 12:44 AM by YJB Branched to a new discussion.

    Macbook running Yosemite iOS version 10.10

    YJB

      Hi, my new Macbook Air runs the latest Yosemite iOS version 10.10 operating system. The system requirements for Lightroom 5 only go up to version 10.9. Can anyone tell me if it will work OK?

       

      Thanks.